import { Ref } from 'react';
import { ButtonProps as ReakitButtonProps } from 'reakit/Button';
import { PropsWithAs } from '../utils';
export interface ButtonProps extends ReakitButtonProps {
    rounded?: boolean;
    variant?: 'contained' | 'outlined' | 'text';
    size?: 'small' | 'medium' | 'large';
    primary?: boolean;
    danger?: boolean;
}
export declare const buttonClasses: (variant: 'contained' | 'outlined' | 'text', size: 'small' | 'medium' | 'large', primary?: boolean | undefined, danger?: boolean | undefined, rounded?: boolean | undefined) => string;
export declare function BaseButton({ as: Type, children, className, rounded, primary, danger, variant, size, ...props }: PropsWithAs<ButtonProps, 'button'>, ref: Ref<HTMLButtonElement>): JSX.Element;
