import { TableHTMLAttributes } from 'react';
import { TableVariant } from './base';
import { TableBody } from './body';
import { TableCell } from './cell';
import { TableFoot } from './foot';
import { TableHead } from './head';
import { TableHeading } from './heading';
import { TableRow } from './row';
export interface TableProps extends TableHTMLAttributes<HTMLTableElement> {
    variant?: TableVariant;
}
export declare function Table({ variant, children, className }: TableProps): JSX.Element;
export declare namespace Table {
    var Body: typeof TableBody;
    var Cell: typeof TableCell;
    var Foot: typeof TableFoot;
    var Head: typeof TableHead;
    var Heading: typeof TableHeading;
    var Row: typeof TableRow;
}
